package TX_OtherClass;

public final class ResponseCommand extends JceStruct {
    public byte[] body;
    static byte[] cache_body;
    static ResponseHead cache_head;
    public ResponseHead head;

    static {
        ResponseCommand.cache_head = new ResponseHead();
        byte[] v0 = new byte[1];
        ResponseCommand.cache_body = v0;
        v0[0] = 0;
    }

    public ResponseCommand() {
        super();
        this.head = null;
        this.body = null;
    }

    public ResponseCommand(ResponseHead arg2, byte[] arg3) {
        super();
        this.head = null;
        this.body = null;
        this.head = arg2;
        this.body = arg3;
    }

    public final void readFrom(c arg4) {
        this.head = (ResponseHead) arg4.a(ResponseCommand.cache_head, 0, true);
        this.body = arg4.c(1, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.head, 0);
        if(this.body != null) {
            arg3.a(this.body, 1);
        }
    }
}
